Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.smila.datamodel.filter
Class RecordFilterHelper

    java.lang.Object
      org.eclipse.smila.datamodel.filter.RecordFilterHelper

    public class RecordFilterHelper

extends java.lang.Object

The Class RecordFilterHelper.

Constructor Summary
`RecordFilterHelper(java.io.InputStream inputStream)` Instantiates a new record filter helper.
`RecordFilterHelper(RecordFilters filters)` Instantiates a new record filter helper.

Method Summary
`AnyMap` | `filter(AnyMap metadataObject, java.lang.String filterName, DataFactory factory)` Filter.
`Record` | `filter(Record record, java.lang.String filterName)` Filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordFilterHelper

    public RecordFilterHelper(java.io.InputStream inputStream)
                       throws RecordFilterLoadSaveException

  Instantiates a new record filter helper.

  Parameters:
    `inputStream` - the input stream
  Throws:
    `RecordFilterLoadSaveException` - the record filter load exception

### RecordFilterHelper

    public RecordFilterHelper(RecordFilters filters)

  Instantiates a new record filter helper.

  Parameters:
    `filters` - the filters

Method Detail

### filter

    public Record filter(Record record,
                         java.lang.String filterName)
                  throws RecordFilterNotFoundException

  Filter.

  Parameters:
    `record` - the record
    `filterName` - the filter name
  Returns:
    the record
  Throws:
    `RecordFilterNotFoundException` - the record filter not found exception

### filter

    public AnyMap filter(AnyMap metadataObject,
                         java.lang.String filterName,
                         DataFactory factory)
                  throws RecordFilterNotFoundException

  Filter.

  Parameters:
    `metadataObject` - the AnyMap object golding the metadata.
    `filterName` - the filter name
    `factory` - the factory
  Returns:
    the filtered Any metadata object.
  Throws:
    `RecordFilterNotFoundException` - the record filter not found exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD